import java.awt.Shape;
import java.awt.geom.GeneralPath;

/**
 * Ein Bett , der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * @author  claus albowski
 */
public class Bett extends Moebel
{

  /**
   * Erzeuge ein neues Bett .
   */
    public Bett(int x, int y, String f)
  {
    xPosition = x;yPosition = y;farbe = f;orientierung = 0;istSichtbar = true;
    breite = 200;tiefe  = 200; }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath bett = new GeneralPath();
      bett.moveTo(0, 0);
      bett.lineTo(breite, 0);
      bett.lineTo(breite, tiefe);
      bett.lineTo(0, tiefe);
      bett.lineTo(0, 0 );
      bett.lineTo(breite/2, tiefe);
      bett.lineTo(breite, 0);
      
      bett.moveTo(breite/2, 0);
      bett.lineTo(breite/2, tiefe);
      return  transformiere(bett);
  }
  
}
